About VisualAutoshaping

 Top Next

Purpose

Autoshaping with computer-generated visual stimuli.

Software requirements

Requires Whisker v2.0 or greater.

Data storage

· Text-based output to disk.
· ODBC data storage to a database (supplied).

Author

Rudolf Cardinal (rudolf@pobox.com).

Copyright

Copyright © Cambridge University Technical Services Ltd

Revision history

· v2.2 (14 July 2003): change to names of devices for consistency with other tasks
· v2.4 (8 March 2007): easier compilation for users.
· v3.0 (12 Jan 2009): Server default changed from "loopback" to "localhost" (Windows Vista compatibility and more general standardization).


Required devices

 Top Previous Next

The program requires to claim devices in groups named box0, box1, box2… with device names as listed below in bold:

# ---------------- Box 0 definition

# INPUTS

line 0 box0 FLOORPANEL_REAR

line 3 box0 MAGNOSEPOKE_CENTRE

line 6 box0 MAGNOSEPOKE_REAR

line 9 box0 LOCOBEAM_LEFT

line 12 box0 LOCOBEAM_RIGHT

line 15 box0 LOCOBEAM_CENTRE

# OUTPUTS

line 24 box0 HOUSELIGHT

line 27 box0 PELLET_CENTRE

line 30 box0 PELLET_REAR

# TOUCHSCREENS

display 0 box0 SCREEN

# ... and so on for each box

Please ensure that these devices are available and listed in the device definition file in use by the server. (The snippet above shows an extract from a typical definition file.)


Using the task

 Top Previous Next

When you run the task, the main screen looks as follows:

You must connect to a Whisker server, claim an operant chamber (box), and set up the parameters for your task. Once that's done, the traffic lights will turn amber. When you are ready, press Start to begin the task.

When the task finishes, it saves data to disk and pops up a new dialogue box for you to select a database to store the data to. (The data sources are configured under Control Panel → ODBC.) If you previously specified an ODBC data source in the parameters, that data source is used automatically and you will only see a dialogue box if something goes wrong and the program needs your input.


Parameters

 Top Previous Next

The parameters dialogue box looks like this:

To pick an ODBC database in advance of finishing, click Pick and you will be offered the ODBC Data Source picker (below). Your choice will be recorded and will apply to this subject from now on (or until you specify a different source).

If you don't specify an ODBC data source now, or you delete the value in the "ODBC data source name" box, you'll be asked to choose when the task ends (and that choice will only apply to the session in progress).


Task details

 Top Previous

Task is a series trials.

Typical stimuli look like this:

Screenshot of a CS presentation (white stimulus, black background).

The blue border has been added later so you can see the edges of the screen - it's not present in the task.

Sample experimental methods

A sample that may be wholly inappropriate for your experiment, but which represents a typical way of using the VisualAutoshaping task!

Apparatus. Autoshaping was assessed in the apparatus shown in Figure … Briefly, the apparatus consists of a X × Y × Z cm testing chamber with a display screen on one wall and a pellet dispenser located centrally in front of the display. Pressure-sensitive areas of floor (each X × Y cm) were located directly in front of the display, to the left and right of the dispenser, and also centrally at the rear of the chamber [AND THESE DAYS, INFRA-RED BEAMS TOO, AND AN EXTRA PELLET DISPENSER]. The apparatus was controlled by software written in C++ by R.N. Cardinal using the Whisker control system (Cardinal & Aitken, 2001).

Pretraining [NOT SUPPORTED BY THIS TASK]. Rats were first given one session in order to habituate to the test chamber and to collect 45-mg food pellets (Rodent Diet Formula P, Noyes, Lancaster, NH) from the food receptacle. The houselight was illuminated and subjects were placed in the chamber for 5 min with 4–5 pellets placed in and around the dispenser. After this, pellets were delivered on a VT 0–40 s schedule for 15 min.

Acquisition (CS+→food, CS→?0). On the next day, rats were trained to associate stimuli with the delivery of pellets. Stimuli consisted of 8 × 18 cm [MEASURE ON YOUR APPARATUS] white vertical rectangles displayed on the left and right of the screen for 10 s. One was designated the CS+ and the other the CS–, counterbalanced between subjects. A trial consisted of presentation of both the CS+ and CS– in a randomized order. Following a VI of 10–40s, the program waited for the rat to be located centrally at the rear of the chamber [OR AS SET BY THE TRIGGER CRITERION]; this eliminated chance approach to the stimuli, ensured equal stimulus sampling and allowed accurate measurement of approach latency. One stimulus was then presented for 10 s. The CS+ was always followed immediately by the delivery of food; the CS– was never followed by food. After this, another VI followed, the program waited for the rat to return to the rear of the chamber, and the other stimulus was presented. This procedure ensured that the minimum time between CS+ and CS– presentation was 10 s, and that there were never more than two consecutive presentations of either the CS+ or the CS–.

When a stimulus was presented, activation of one of the two floor panels in front of the screen [I/R BEAMBREAK THESE DAYS, OR TOUCHING THE STIMULUS] was scored as an approach, and no further approaches were scored during that stimulus presentation. Rats were trained for a total of 100 trials (two days with 50 trials per day). Approaches to the CS+ and the CS– were scored in blocks of 10 trials and mean approach latency was calculated over 100 trials (Bussey et al., 1997a).

Probe trials (CS+ and CS–). After acquisition, a probe test was performed, consisting of 20 trials in which the CS+ and CS– were presented simultaneously and approaches were measured. Food was not delivered, so this test constituted an extinction trial to the CS+, while the CS– was still a perfect predictor of food absence. The probe test was intended to be a more sensitive test than the acquisition task (in which the subject might form CS–US associations perfectly and yet approach all stimuli), as it forced the subject to make a choice between the CS+ and the CS–.

Omission training. Finally, the contingencies were altered such that approaches to the CS+ prevented the delivery of a food pellet. This manipulation introduced an instrumental contingency directly opposed to the approach response. All other parameters remained the same as in the acquisition phase. There were 50 presentations of the CS+ and of the CS– per session and two sessions were given. As before, only initial approaches were scored; 'successful' omission trials were those in which the CS+ was presented and the subject first approached the CS–, or failed to approach either stimulus.